clang 10.0.0git

Public Attributes | List of all members
ndrange_t Struct Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/Headers/opencl-c-base.h"`

Collaboration diagram for ndrange_t:
[legend]

## Public Attributes
unsigned int | workDimension
size_t | globalWorkOffset [MAX_WORK_DIM]
size_t | globalWorkSize [MAX_WORK_DIM]
size_t | localWorkSize [MAX_WORK_DIM]

## Detailed Description

Definition at line 424 of file opencl-c-base.h.

## Member Data Documentation

## ◆ globalWorkOffset

size_t ndrange_t::globalWorkOffset[MAX_WORK_DIM]

Definition at line 426 of file opencl-c-base.h.

## ◆ globalWorkSize

size_t ndrange_t::globalWorkSize[MAX_WORK_DIM]

Definition at line 427 of file opencl-c-base.h.

## ◆ localWorkSize

size_t ndrange_t::localWorkSize[MAX_WORK_DIM]

Definition at line 428 of file opencl-c-base.h.

## ◆ workDimension

unsigned int ndrange_t::workDimension

Definition at line 425 of file opencl-c-base.h.

The documentation for this struct was generated from the following file:

- lib/Headers/opencl-c-base.h